<ngx-loading [show]="datasetIsLoadingUpdate$ | async" />

<div [ngClass]="[jds.card, jds.roundedBottom(0)]">
  <div
    [ngClass]="[jds.cardHeader, jds.borderBottom(0), jds.pt(30), jds.px(40)]"
  >
    <h4 [ngClass]="[jds.cardTitle]">Informasi Dataset</h4>
  </div>

  <div [ngClass]="[jds.cardBody, jds.px(40)]">
    <ng-container *ngIf="datasetIsLoadingRead$ | async">
      <div *ngFor="let number of [0, 1]">
        <ngx-skeleton-loader
          [theme]="{
            width: '40%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
        <ngx-skeleton-loader
          [theme]="{
            width: '100%',
            'border-radius': '0',
            height: '43px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </ng-container>

    <ng-container
      *ngIf="
        (datasetIsLoadingRead$ | async) === false &&
        (datasetData$ | async) as row
      "
    >
      <table
        [ngClass]="[jds.table, jds.tableSm, jds.tableBorderless, jds.mb(20)]"
        role="table"
        aria-label="Information"
        aria-describedby="Table Information"
      >
        <tbody>
          <tr>
            <th
              [style.width.%]="32.5"
              scope="row"
            >
              Judul
            </th>
            <td>{{ row.name }}</td>
          </tr>
          <tr>
            <th scope="row">Deskripsi</th>
            <td
              class="ck-satudata"
              [innerHTML]="row.description ? (row.description | safeHtml) : ''"
            >
              {{ row.description }}
            </td>
          </tr>
          <tr>
            <th scope="row">Topik</th>
            <td>{{ row.sektoral.name }}</td>
          </tr>
          <tr>
            <th scope="row">Klasifikasi</th>
            <td>{{ row.dataset_class.name }}</td>
          </tr>
          <tr *ngIf="row.dataset_class.id === 4">
            <th scope="row">Hak akses</th>
            <td>
              <ul [ngClass]="[jds.ps(15)]">
                <li
                  *ngFor="let rowa of row.dataset_permission"
                  style="line-height: unset"
                >
                  {{ rowa.satuan_kerja_nama }} - {{ rowa.jabatan_nama }}
                </li>
              </ul>
            </td>
          </tr>
          <tr>
            <th scope="row">Status Data</th>
            <td>
              {{ getSource(row.is_realtime, row.is_permanent).name }}
            </td>
          </tr>
          <tr>
            <th scope="row">Tags</th>
            <td>
              <button
                *ngFor="let rowt of row.dataset_tags"
                [ngClass]="[
                  jds.button,
                  jds.buttonSm,
                  jds.buttonTag,
                  jds.me(8),
                  jds.mb(8)
                ]"
                [style.pointerEvents]="'none'"
                type="button"
              >
                {{ rowt }}
              </button>
            </td>
          </tr>
          <tr>
            <th scope="row">Sumber Data</th>
            <td>{{ row.is_realtime ? 'Realtime' : 'Statis' }}</td>
          </tr>
          <tr>
            <th scope="row">Lisensi</th>
            <td>{{ row.license.name }}</td>
          </tr>
        </tbody>
      </table>
    </ng-container>
  </div>
</div>

<div [ngClass]="[jds.card, jds.roundedTop(0)]">
  <div
    [ngClass]="[jds.cardHeader, jds.borderBottom(0), jds.pt(30), jds.px(40)]"
  >
    <h4 [ngClass]="[jds.cardTitle]">Metadata</h4>
  </div>

  <div [ngClass]="[jds.cardBody, jds.px(40)]">
    <ng-container *ngIf="datasetIsLoadingRead$ | async">
      <div *ngFor="let number of [0, 1]">
        <ngx-skeleton-loader
          [theme]="{
            width: '40%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
        <ngx-skeleton-loader
          [theme]="{
            width: '100%',
            'border-radius': '0',
            height: '43px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </ng-container>

    <ng-container
      *ngIf="
        (datasetIsLoadingRead$ | async) === false &&
        (datasetData$ | async) as row
      "
    >
      <table
        [ngClass]="[jds.table, jds.tableSm, jds.tableBordered, jds.mb(20)]"
        role="table"
        aria-label="Metadata"
        aria-describedby="Table Metadata"
      >
        <tbody>
          <tr *ngFor="let row of getMetadata(row.metadata)">
            <th
              [style.width.%]="32.5"
              scope="row"
            >
              {{ row.key }}
            </th>
            <td>{{ row.value ?? '-' }}</td>
          </tr>
        </tbody>
      </table>
    </ng-container>

    <div [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.mb(10)]">
      <a
        *ngIf="id"
        [ngClass]="[jds.button, jds.buttonDefault]"
        [routerLink]="['/my-dataset/edit', id]"
        [queryParams]="{ from: filter.from }"
      >
        Ubah Dataset
      </a>
      <button
        [ngClass]="[jds.button, jds.buttonPrimary, jds.ms(16)]"
        (click)="onSubmit()"
        type="submit"
      >
        Simpan
      </button>
    </div>
  </div>
</div>
